com.creamtec.ajaxswing.rendering.html.positioned

## Class AjaxPage

- java.lang.Object
- - java.util.Observable
  - - com.creamtec.ajaxswing.rendering.AbstractDocument
    - - com.creamtec.ajaxswing.rendering.html.HTMLPage
      - - com.creamtec.ajaxswing.rendering.html.positioned.AjaxPage

- All Implemented Interfaces:
    Document

      public class AjaxPage
      extends HTMLPage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_TIME_FOR_WRITE_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxPage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRender()` Callback function called after a document is rendered
    `void` | `beforeRender()` Callback function called before a document is rendered
    `void` | `endInterval(java.lang.Object component)`
    `ComponentState[]` | `getActionableComponentStates()`
    `java.util.HashMap<java.awt.Component,java.lang.Boolean>` | `getComponentDirtyStates()`
    `java.util.HashMap<java.lang.String,ComponentHash>` | `getComponentHashes()`
    `java.util.HashMap<java.lang.String,AjaxComponentState>` | `getComponentStates()`
    `org.codehaus.jackson.map.ObjectMapper` | `getJsonSerializer()`
    `java.util.HashMap<java.lang.String,ComponentHash>` | `getPreviousComponentHashes()`
    `boolean` | `isComponentDirty(java.awt.Component component)`
    `AjaxComponentState` | `peekComponentState()`
    `void` | `reset(boolean complete)` Clears the page and its buffers.
    `void` | `setAjaxResponse(AjaxResponse ajaxResponse)`
    `void` | `setClientAgent(ClientAgent agent)` Used by AjaxSwing to associate an agent with the page.
    `void` | `setComponentDirty(java.awt.Component component, boolean dirty)`
    `void` | `setComponentDirtyStates(java.util.HashMap<java.awt.Component,java.lang.Boolean> componentDirtyStates_)`
    `void` | `setComponentHashes(java.util.HashMap<java.lang.String,ComponentHash> componentHashes)`
    `void` | `setComponentStates(java.util.HashMap<java.lang.String,AjaxComponentState> componentStates)`
    `void` | `setJsonSerializer(org.codehaus.jackson.map.ObjectMapper jsonSerializer)`
    `void` | `setPreviousComponentHashes(java.util.HashMap<java.lang.String,ComponentHash> previousComponentHashes)`
    `void` | `setRedirectURL(java.lang.String url)` Sets the URL that AjaxSwing should redirect browser to
    `void` | `startInterval(java.lang.Object component)`
    `void` | `startInterval(java.lang.Object component, java.lang.String namePostfix)`
    `java.lang.String` | `toString()` Renders page as string using the specified template

    - ### Methods inherited from class com.creamtec.ajaxswing.rendering.html.HTMLPage

      `appendHeaderScript, appendOnLoadScriptBody, appendWindowFooter, cleanupImageUrl, clearWindowFooter, generateName, getBody, getComponentName, getComponentName, getCssClass, getDocsStampURL, getHeader, getHeaderScript, getImageUrl, getImageUrl, getNextComponentNameIndex, getOnLoadScriptBody, getPageRenderer, getSnapshotImageIndex, getSubmitURL, getTempFileURL, getThemeDocsStampURL, getV4RootComponent, getWindowFooter, incSnapshotIndex, setRenderContext, setUseOnLoad, setV4RootComponent`

    - ### Methods inherited from class com.creamtec.ajaxswing.rendering.AbstractDocument

      `getClientAgent, getDocsURL, getDocumentRenderer, getProps, getRedirectURL, getRenderContext, getThemeDocsURL, getThemeName, getTitle, isPartialUpdateAllowed, setDocumentRenderer, setPartialUpdateAllowed, setTitle`

    - ### Methods inherited from class java.util.Observable

      `addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_TIME_FOR_WRITE_FILE

          public static final int MAX_TIME_FOR_WRITE_FILE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxPage

          public AjaxPage()
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getPreviousComponentHashes

          public java.util.HashMap<java.lang.String,ComponentHash> getPreviousComponentHashes()

    - #### setPreviousComponentHashes

          public void setPreviousComponentHashes(java.util.HashMap<java.lang.String,ComponentHash> previousComponentHashes)

    - #### setAjaxResponse

          public void setAjaxResponse(AjaxResponse ajaxResponse)

    - #### startInterval

          public void startInterval(java.lang.Object component)

    - #### startInterval

          public void startInterval(java.lang.Object component,
                           java.lang.String namePostfix)

    - #### endInterval

          public void endInterval(java.lang.Object component)

    - #### getActionableComponentStates

          public ComponentState[] getActionableComponentStates()

    - #### beforeRender

          public void beforeRender()

      Description copied from interface: `Document`
      Callback function called before a document is rendered
      Specified by:
        `beforeRender` in interface `Document`
      Overrides:
        `beforeRender` in class `HTMLPage`

    - #### afterRender

          public void afterRender()

      Description copied from interface: `Document`
      Callback function called after a document is rendered
      Specified by:
        `afterRender` in interface `Document`
      Overrides:
        `afterRender` in class `HTMLPage`

    - #### getComponentHashes

          public java.util.HashMap<java.lang.String,ComponentHash> getComponentHashes()

    - #### setComponentHashes

          public void setComponentHashes(java.util.HashMap<java.lang.String,ComponentHash> componentHashes)

    - #### getComponentStates

          public java.util.HashMap<java.lang.String,AjaxComponentState> getComponentStates()

    - #### peekComponentState

          public AjaxComponentState peekComponentState()

    - #### setComponentStates

          public void setComponentStates(java.util.HashMap<java.lang.String,AjaxComponentState> componentStates)

    - #### toString

          public java.lang.String toString()

      Description copied from class: `HTMLPage`
      Renders page as string using the specified template
      Overrides:
        `toString` in class `HTMLPage`

    - #### reset

          public void reset(boolean complete)

      Description copied from class: `HTMLPage`
      Clears the page and its buffers. Resets indexes and counters to their defaults Observers are notified before the page state is reset
      Overrides:
        `reset` in class `HTMLPage`

    - #### setClientAgent

          public void setClientAgent(ClientAgent agent)

      Description copied from class: `AbstractDocument`
      Used by AjaxSwing to associate an agent with the page. Generally should not be called by renderers
      Overrides:
        `setClientAgent` in class `AbstractDocument`

    - #### getJsonSerializer

          public org.codehaus.jackson.map.ObjectMapper getJsonSerializer()

    - #### setJsonSerializer

          public void setJsonSerializer(org.codehaus.jackson.map.ObjectMapper jsonSerializer)

    - #### getComponentDirtyStates

          public java.util.HashMap<java.awt.Component,java.lang.Boolean> getComponentDirtyStates()

    - #### setComponentDirtyStates

          public void setComponentDirtyStates(java.util.HashMap<java.awt.Component,java.lang.Boolean> componentDirtyStates_)

    - #### setComponentDirty

          public void setComponentDirty(java.awt.Component component,
                               boolean dirty)

      Overrides:
        `setComponentDirty` in class `AbstractDocument`

    - #### isComponentDirty

          public boolean isComponentDirty(java.awt.Component component)

    - #### setRedirectURL

          public void setRedirectURL(java.lang.String url)

      Description copied from class: `AbstractDocument`
      Sets the URL that AjaxSwing should redirect browser to
      Overrides:
        `setRedirectURL` in class `AbstractDocument`
      Parameters:
        `url` - URL

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.